Genivia - wsdd__ResolveMatchType Struct Reference

|  | Home | Documentation | wsdd__ResolveMatchType Struct Reference updated Thu Mar 21 2024 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wsdd__ResolveMatchType Struct Reference

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveMatchType is a complexType. More...

`#include <wsdd.h>`

Collaboration diagram for wsdd__ResolveMatchType:
[legend]

## Public Attributes
_wsa5__EndpointReference | wsa5__EndpointReference
| Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference. More...
wsdd__QNameListType | Types
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types. More...
struct wsdd__ScopesType * | Scopes
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes. More...
wsdd__UriListType | XAddrs
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs. More...
unsigned int | MetadataVersion
| Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion. More...

## Detailed Description

"http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":ResolveMatchType is a complexType.

struct wsdd__ResolveMatchType operations:

- wsdd__ResolveMatchType* soap_new_wsdd__ResolveMatchType(struct soap*, int num) allocate and default initialize one or more values (array)
- soap_default_wsdd__ResolveMatchType(struct soap*, wsdd__ResolveMatchType*) default initialize members
- int soap_read_wsdd__ResolveMatchType(struct soap*, wsdd__ResolveMatchType*) deserialize from a source
- int soap_write_wsdd__ResolveMatchType(struct soap*, wsdd__ResolveMatchType*) serialize to a sink
- wsdd__ResolveMatchType* soap_dup_wsdd__ResolveMatchType(struct soap*, wsdd__ResolveMatchType* dst, wsdd__ResolveMatchType <em>src) returns deep copy of wsdd__ResolveMatchType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wsdd__ResolveMatchType(wsdd__ResolveMatchType) deep deletes wsdd__ResolveMatchType data members, use only on dst after soap_dup_wsdd__ResolveMatchType(NULL, wsdd__ResolveMatchType *dst, wsdd__ResolveMatchType *src) (use soapcpp2 -Ed)

## Member Data Documentation

unsigned int wsdd__ResolveMatchType::MetadataVersion

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":MetadataVersion.

Required element.

struct wsdd__ScopesType* wsdd__ResolveMatchType::Scopes

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Scopes.

Optional element.

wsdd__QNameListType wsdd__ResolveMatchType::Types

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":Types.

Optional element.

_wsa5__EndpointReference wsdd__ResolveMatchType::wsa5__EndpointReference

Imported element reference "http://www.w3.org/2005/08/addressing":EndpointReference.

Required element.

wsdd__UriListType wsdd__ResolveMatchType::XAddrs

Element reference "http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01:""http://docs.oasis-open.org/ws-dd/ns/discovery/2009/01":XAddrs.

Optional element.

The documentation for this struct was generated from the following file:

- wsdd.h